Subject: Re: bug#14073: 24.3.50; build failed for the configuration with --enable-check-lisp-object-type

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Mar 2013 14:07:01 +0200

> Date: Thu, 28 Mar 2013 20:26:36 +0900
> From: OKAZAKI Tetsurou <[email-masked]>
> 
> $ uname -s -r -v -m -o
> CYGWIN_NT-6.1-WOW64 1.7.17(0.262/5/3) 2012-10-19 14:39 i686 Cygwin
> 
> $ bzr pull
> $ ./autogen.sh
> $ env CFLAGS="-ggdb3 -O2" ./configure --with-w32 --without-x --enable-check-lisp-object-type
> $ make bootstrap
> 
> ...
> gcc -std=gnu99 -c -I/usr/include/noX -Demacs  -I. -I/home/tetsurou/Checkout/bzr.savannah.gnu.org/emacs/local/src  -I../lib -I/home/tetsurou/Checkout/bzr.savannah.gnu.org/emacs/local/src/../lib           -I/usr/include/libxml2           -MMD -MF deps/w32fns.d -MP   -I/usr/include/p11-kit-1      -ggdb3 -O2 w32fns.c
> w32fns.c: In function ‘Fx_show_tip’:
> w32fns.c:5795:26: error: request for member ‘i’ in something not a structure or union

There's no 'i' on line 5795 of w32fns.c on the trunk.  That line says:

  w->left_col = 0;

Perhaps some Cygwin specific preprocessor macro converts left_col into
something that triggers the error?  The file compiles fine for me (as
part of the native w32 build).

Please show a preprocessed source of w32fns.c (replace "-c" by "-E" in
the above command, and add "-o w32fns.ii", then post w32fns.ii).